Subject: Re: [PATCH] netfilter: add a missing include in nf_conntrack_reasm.c

From: Patrick McHardy <[email-masked]>
Date: Thu, 20 Jan 2011 21:01:42 +0100

Am 20.01.2011 20:57, schrieb Eric Dumazet:
> Le jeudi 20 janvier 2011 à 20:18 +0100, Patrick McHardy a écrit :
>> Am 20.01.2011 18:53, schrieb Eric Dumazet:
>>> After commit ae90bdeaeac6b (netfilter: fix compilation when conntrack is
>>> disabled but tproxy is enabled) we have following warnings :
>>>
>>> net/ipv6/netfilter/nf_conntrack_reasm.c:520:16: warning: symbol
>>> 'nf_ct_frag6_gather' was not declared. Should it be static?
>>> net/ipv6/netfilter/nf_conntrack_reasm.c:591:6: warning: symbol
>>> 'nf_ct_frag6_output' was not declared. Should it be static?
>>> net/ipv6/netfilter/nf_conntrack_reasm.c:612:5: warning: symbol
>>> 'nf_ct_frag6_init' was not declared. Should it be static?
>>> net/ipv6/netfilter/nf_conntrack_reasm.c:640:6: warning: symbol
>>> 'nf_ct_frag6_cleanup' was not declared. Should it be static?
>>>
>>> Fix this including net/netfilter/ipv6/nf_defrag_ipv6.h
>>>
>>
>> I currently don't have access to all my trees, does this patch
>> apply to 2.6.38 or just the current -rc?
> 
> I dont really understand the question.
> 
> Or do you mean 2.6.37 versus 2.6.38-rc1 ?

Right, that was a typo.

> It's a minor correction anyway, not a stable candidate. It would be good
> to push it for current (2.6.38)

Applied, thanks.

I'll push this together with a bunch of other fixes to Dave later tonight.
--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html